Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.queries
Class ClassAttributeValueExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--javax.management.AttributeValueExp
                  |
                  +--org.huihoo.jfox.jmx.queries.ClassAttributeValueExp

All Implemented Interfaces:
  java.io.Serializable, ValueExp

public class ClassAttributeValueExp
extends AttributeValueExp

Author:
  Young Yang
See Also:
  Serialized Form

Fields inherited from class javax.management.QueryEval
`server`

Constructor Summary
`ClassAttributeValueExp()`

Method Summary
`ValueExp` | `apply(ObjectName objectname)` Applies the `AttributeValueExp` on an MBean.
`protected java.lang.Object` | `getValue(ObjectName objectname)`
`java.lang.String` | `toString()` Returns the string representing its value.

Methods inherited from class javax.management.AttributeValueExp
`getAttribute, getAttributeName, setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassAttributeValueExp

    public ClassAttributeValueExp()

Method Detail

### apply

    public ValueExp apply(ObjectName objectname)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Description copied from class: `AttributeValueExp`
  Applies the `AttributeValueExp` on an MBean.
  Overrides:
    `apply` in class `AttributeValueExp`
  Following copied from class: `javax.management.AttributeValueExp`
  Parameters:
    `name` - The name of the MBean on which the `AttributeValueExp` will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadAttributeValueExpException` -
    `InvalidApplicationException` -
    `BadStringOperationException` -
    `BadBinaryOpValueExpException` -

### toString

    public java.lang.String toString()

  Description copied from class: `AttributeValueExp`
  Returns the string representing its value.
  Overrides:
    `toString` in class `AttributeValueExp`

### getValue

    protected java.lang.Object getValue(ObjectName objectname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD